Package be.ehealth.businessconnector.therlink.domain

# Class HcParty.Builder

java.lang.Object
be.ehealth.businessconnector.therlink.domain.HcParty.Builder

Enclosing class:
  `HcParty`

public static class HcParty.Builder extends Object
Builder class for HcParty

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HcParty`
  `build()`
  builds the hcparty object and checks for parameters integrity
  `HcParty.Builder`
  `withApplicationID(String string)`
  `HcParty.Builder`
  `withCbe(String value)`
  `HcParty.Builder`
  `withEhp(String string)`
  `HcParty.Builder`
  `withFamilyName(String value)`
  `HcParty.Builder`
  `withFirstName(String value)`
  `HcParty.Builder`
  `withInss(String value)`
  `HcParty.Builder`
  `withName(String value)`
  `HcParty.Builder`
  `withNihii(String value)`
  `HcParty.Builder`
  `withType(String value)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### withFirstName

    public HcParty.Builder withFirstName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withFamilyName

    public HcParty.Builder withFamilyName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withName

    public HcParty.Builder withName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withInss

    public HcParty.Builder withInss(String value)
    Parameters:
      `value` -
    Returns:

  - ### withCbe

    public HcParty.Builder withCbe(String value)
    Parameters:
      `value` -
    Returns:

  - ### withNihii

    public HcParty.Builder withNihii(String value)
    Parameters:
      `value` -
    Returns:

  - ### withType

    public HcParty.Builder withType(String value)
    Parameters:
      `value` -
    Returns:

  - ### withApplicationID

    public HcParty.Builder withApplicationID(String string)
    Parameters:
      `string` -
    Returns:

  - ### build

    public HcParty build() throws TherLinkBusinessConnectorException
    builds the hcparty object and checks for parameters integrity
    Throws:
      `TherLinkBusinessConnectorException`

  - ### withEhp

    public HcParty.Builder withEhp(String string)
    Parameters:
      `string` -
    Returns: